using BPA.KitChen.GroupMeal.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Core.Entity
{
    [SugarTable("BPA_PlatformMemberInfo")]
    public class BPA_PlatformMemberInfo: IBaseGroupIdEntity
    {
        /// <summary> 
        ///  
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string NickName { get; set; }
        /// <summary> 
        /// 0=未知   1=男    2=女 
        /// </summary> 
        public int Sex { get; set; }
        /// <summary> 
        /// 头像 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string HeadImgUrl { get; set; }
        /// <summary> 
        /// 国家 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Country { get; set; }
        /// <summary> 
        /// 省 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Province { get; set; }
        /// <summary> 
        /// 市 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string City { get; set; }
        /// <summary> 
        /// 县（区） 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string County { get; set; }
        /// <summary> 
        /// 具体地址 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Address { get; set; }
        /// <summary> 
        /// 出生日期 
        /// </summary> 
        public DateTime Birthday { get; set; }
        /// <summary> 
        /// 电话 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Phone { get; set; }
        /// <summary> 
        /// 真实姓名 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string RealName { get; set; }
        /// <summary> 
        /// 身份证号码 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string CardNum { get; set; }
        /// <summary> 
        /// 等级 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Level_Id { get; set; }
        /// <summary> 
        /// 1.微信 2.支付宝  3.Pos 4 会员卡
        /// </summary> 
        public int PlatformType { get; set; }
        /// <summary> 
        /// 平台会员ID 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string PlatformMemberId { get; set; }
        /// <summary> 
        /// 基础会员表ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string MemberInfo_Id { get; set; }

    

    }
}
